Subject: Bug#760096: [Pkg-phototools-devel] Bug#760096: Acknowledgement (gphoto2: Fails to initialize CanonPowerShot G5 after upgrade from stable)

From: Helge Kreutzmann <[email-masked]>
Date: Tue, 26 Jul 2016 17:55:09 +0200

Hello Herbert,
thanks for your speedy reply.

On Tue, Jul 26, 2016 at 11:04:30AM -0300, Herbert Fortes wrote:
> Thanks to stopping by.
> 
> Em Ter, 2016-07-26 às 12:13 +0200, Helge Kreutzmann escreveu:
> > Hello,
> > my stable machine died and I set up a testing machine having version
> > 2.5.10-1.
> > 
> > However, gphoto2 does work even less: now the camera is not detected.
> > When I plug it in, I see (in /var/log/syslog):
> > 
> > Jul 26 12:09:21 samd kernel: [11905.608945] usb 11-3: new full-speed USB device number 3 using ohci-pci
> > Jul 26 12:09:22 samd kernel: [11905.780175] usb 11-3: New USB device found, idVendor=04a9, idProduct=3085
> > Jul 26 12:09:22 samd kernel: [11905.780182] usb 11-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
> > Jul 26 12:09:22 samd kernel: [11905.780187] usb 11-3: Product: Canon Digital Camera
> > Jul 26 12:09:22 samd kernel: [11905.780191] usb 11-3: Manufacturer: Canon Inc.
> > Jul 26 12:09:22 samd mtp-probe: checking bus 11, device 3: "/sys/devices/pci0000:00/0000:00:16.0/usb11/11-3"
> > Jul 26 12:09:22 samd mtp-probe: bus: 11, device: 3 was not an MTP device
> > 
> > However, gphoto2 does not see it, running
> > env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt -L
> > yields:
> > *** Fehler ***
> > Konnte keine Kamera finden
> > *** Fehler (-105: »Unbekanntes Modell«) ***
> > 
> > (In english: Error, could not find a camera, error (-104, "unknown model")).
> > 
> > It worked in 2.4.x, however, I'm no longer able to (trivially) forward port 
> > this version :-((
> > 
> > The log file is attached, any idea how to rectify this greatly
> > appreciated.
> 
> A quick 'grep' shows that the camera is supported:
> ./libgphoto2/camlibs/canon/doc/Protocol.xml:            <row><entry>PowerShot G5</entry><entry>02-May-03</entry><entry>yes</entry></row>
> ./libgphoto2/camlibs/canon/doc/Protocol.xml:	  as the product ID, which is correct for the PowerShot G5.</para>
> ./libgphoto2/camlibs/canon/canon.c:        {"Canon:PowerShot G5 (normal mode)", CANON_CLASS_5,     0x04A9, 0x3085, CAP_SUP, SL_MOVIE_LARGE, SL_THUMB, SL_PICTURE, NULL},
> ./libgphoto2/camlibs/ptp2/library.c:	{"Canon:PowerShot G5 (PTP mode)",       0x04a9, 0x3085, PTPBUG_DELETE_SENDS_EVENT|PTP_CAP|PTP_CAP_PREVIEW},
> 
> Can you tell me which mode (normal/PTP) did you use ? 

How do I find out? I just plug the camera in.

> Can you set '--camera MODEL' and see what happens ? It 
> will necessary to use '--port' too. 
> 
> "--list-cameras" (List supported camera models.) and

This "only" gives:
helge@samd:~$ gphoto2 --list-cameras | grep G5
        »Canon PowerShot G5 (PTP mode)«

> "--list-ports" (List supported port devices) can be
> a help.

helge@samd:~$ LC_ALL=C gphoto2 -L --camera "Canon PowerShot G5 (PTP mode)" --port "usb:"

*** Error ***
An error occurred in the io-library ('Bad parameters'): No error description available
*** Error (-2: 'Bad parameters') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <[email-masked]>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt -L --camera "Canon PowerShot G5 (PTP mode)" --port usb:

Please make sure there is sufficient quoting around the arguments.

However, I just by chance tried as root:
root@samd:~# LC_ALL=C gphoto2 -L
There is no file in folder '/'.
There is no file in folder '/store_00010001'.
There is no file in folder '/store_00010001/MISC'.
There is no file in folder '/store_80000001'.

Strange, so it must be a permission problem. Also -P works (as root).

Greetings

          Helge

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/